Bug 1309 - Please add driver for Canon printers to system
: Please add driver for Canon printers to system
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Package Requests
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-24 09:58 MSK by FirstLevel
Modified: 2013-03-11 15:30 MSK (History)
1 user (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description FirstLevel 2012-12-24 09:58:38 MSK
I have tried http://support-au.canon.com.au/contents/AU/EN/0100270808.html driver in ROSA 2012.1 Desktop Fresh, It is working drivers. Please could You add such driver to repository and users will have working driver "out-of-the-box".
Comment 1 Denis Silakov 2013-02-28 11:51:59 MSK
Please try the cndrvcups-lb package. It is available in 32bit repos only, since it contains 32bit blobs (even 64bit rpm from official site actually contains 32bit files).
Comment 2 FirstLevel 2013-03-01 09:34:59 MSK
User has told that after installation original drivers from http://support-au.canon.com.au/contents/AU/EN/0100270808.html ge has got working printer.
If he try to install  cndrvcups-lb he get an error (in russian)
Во время установки возникла ошибка:

файл /usr/bin/cnpkbidi из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/include/cnpklibufr2.h из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/cups/backend/cnusb из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/cups/filter/pstoufr2cpca из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/libEnoJBIG.so.1.0.0 из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/libEnoJPEG.so.1.0.0 из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/libcaiocnpkbidi.so.1.0.0 из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/libcanonufr2.so.1.0.0 из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/libcnlbcm.so.1.0 из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/lib/libufr2filter.so.1.0.0 из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/share/ufr2filter/ThLB_27A.BIN из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386

файл /usr/share/ufr2filter/ThLB_28A.BIN из устанавливаемого пакета cndrvcups-lb-2.50-1.i586 конфликтует с файлом из пакета cndrvcups-ufr2-uk-2.50-1.i386
Comment 3 Denis Silakov 2013-03-01 09:37:25 MSK
cndrvcups-ufr2-uk is the driver installed from official site, you should remove it before installing cndrvcups-lb.
Comment 4 FirstLevel 2013-03-06 10:22:37 MSK
(In reply to comment #3)
> cndrvcups-ufr2-uk is the driver installed from official site, you should
> remove it before installing cndrvcups-lb.

After execution such actions I have working printer. Thanks
Comment 5 Denis Silakov 2013-03-11 15:30:11 MSK
Ok, I've added explicit "conflicts" tags to conflict with the drivers downloaded from vendor site.

The drivers have been finally built for both Marathon and Desktop Fresh.